View Issue Details

IDProjectCategoryView StatusLast Update
13776Bug reports[All Projects] Securitypublic2018-06-27 15:29
ReportercorvenAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version3.11.x 
Summary13776: Survey admin can see all survey groups
Description

A user admin with permissions to access only one survey can click on the Survey groups tab and see all the survey groups.

In the example, the user has access only to one survey that belongs to one group, but he is able to see all the rest of survey groups in the system

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.7.3
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysql
Server OS (if known)ubuntu 16.04
Webserver software & version (if known)ngnx
PHP Version5.7

Activities

corven

corven

2018-06-14 00:52

reporter  

groups.jpg (59,095 bytes)
groups.jpg (59,095 bytes)
LouisGac

LouisGac

2018-06-18 12:51

manager   ~48208

dominik: we must add some new permissions for survey groups.

guest

guest

2018-06-18 16:38

viewer   ~48210

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27447

c_schmitz

c_schmitz

2018-06-27 15:29

administrator   ~48341

Version 3.12.3+180627 released

Related Changesets

LimeSurvey: master b9707ec6

2018-06-18 16:37:04

Dominik Vitt

Details Diff
Fixed issue 13776: Survey admin can see all survey groups Affected Issues
13776
mod - application/models/SurveysGroups.php Diff File

Issue History

Date Modified Username Field Change
2018-06-14 00:52 corven New Issue
2018-06-14 00:52 corven File Added: groups.jpg
2018-06-14 12:40 DenisChenu Assigned To => LouisGac
2018-06-14 12:40 DenisChenu Status new => assigned
2018-06-18 12:51 LouisGac Assigned To LouisGac => dominikvitt
2018-06-18 12:51 LouisGac Note Added: 48208
2018-06-18 16:38 Changeset attached => LimeSurvey master b9707ec6
2018-06-18 16:38 guest Note Added: 48210
2018-06-18 16:38 guest Resolution open => fixed
2018-06-18 16:39 dominikvitt Status assigned => resolved
2018-06-18 16:39 dominikvitt Fixed in Version => 3.11.x
2018-06-27 15:29 c_schmitz Note Added: 48341
2018-06-27 15:29 c_schmitz Status resolved => closed